Qyra
ReferenceUntagged

Add AI agent review item comment

Add a comment to an AI agent review item

POST/api/v1/aiAgents/admin/review-items/{fingerprint}/comments

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
fingerprintstringYes

Request body

{
  "body": "string"
}

Responses

200 — Success

{
  "results": {
    "verdictStale": true,
    "liveMessage": "string",
    "liveState": {},
    "events": [
      {
        "kind": "remediation",
        "createdByUserUuid": "string",
        "occurredAt": "2024-01-01T00:00:00.000Z",
        "remediationUuid": "string",
        "uuid": "string",
        "payload": {
          "sourcePromptUuid": "string",
          "sourceThreadUuid": "string",
          "excerpt": "string"
        },
        "eventType": "finding_opened"
      }
    ]
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}